The photo of a delivery note
GET
/stock/supplier-orders/{id}/receipts/{receiptId}/photo
const url = 'https://example.com/stock/supplier-orders/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/receipts/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/photo';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/stock/supplier-orders/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/receipts/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/photo \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
receiptId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”The photo, as a data URL
Media typeapplication/json
object
image
required
string
Examplegenerated
{ "image": "example"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such order, yard, product or supplier in this business
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The order has already arrived or been cancelled
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}